[@rxap/socket-io](../wiki/globals) / withSocketIoNamespace

# Function: withSocketIoNamespace()

> **withSocketIoNamespace**(`namespace`): `Provider`

Defined in: [provide.ts:47](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/socket-io/src/lib/provide.ts#L47)

## Parameters

### namespace

`string`

## Returns

`Provider`
